import { ComponentType, SuspenseProps } from 'react';
import { VisualLanguage } from './constants';
declare type DynamicComponent = () => Promise<{
    default: ComponentType;
}>;
declare type MaybeDynamicComponent = DynamicComponent | ComponentType | JSX.Element;
export declare type VisualLanguageSwitchProps<TOn extends MaybeDynamicComponent, TOff extends MaybeDynamicComponent> = {
    on: TOn;
    off: TOff;
    flag?: string;
    visualLanguage?: VisualLanguage;
    force?: boolean;
    fallback?: SuspenseProps['fallback'] | ComponentType | JSX.Element | null;
};
export declare function VisualLanguageSwitch<TOn extends MaybeDynamicComponent, TOff extends MaybeDynamicComponent>({ on, off, flag, visualLanguage, force, fallback, }: VisualLanguageSwitchProps<TOn, TOff>): JSX.Element;
export {};
